CXX_FLAGS = -I ../../src -g -O2
DESTFILE = docrogen
OBJS = DocroGen.o

default : all
all : $(DESTFILE)
$(DESTFILE) : $(OBJS)
	$(CXX) $(OBJS) -o $(DESTFILE)

DocroGen.o : DocroGen.cpp


.PHONY : clean
clean : 
	rm *~ $(OBJS) $(DESTFILE) -f


.SUFFIXES : .cpp .o
.cpp.o :
	$(CXX) $(CXX_FLAGS) -c $< -o $@